summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorGuillaume Brogi2017-05-06 21:08:06 +0200
committerGuillaume Brogi2017-05-28 21:53:03 +0200
commit36cd5bdca32888014f04593efa0a8d77c1978629 (patch)
tree57d5a051c908ac117fed0200af4f741ce39df3b9 /PKGBUILD
downloadaur-36cd5bdca32888014f04593efa0a8d77c1978629.tar.gz
First package attempt for git-repo
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7ff28038bef
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Guillaume Brogi <gui-gui at netcourrier dot com>
+pkgname=git-repo-git
+pkgver=1.10.2.r1.g1181207
+pkgrel=1
+pkgdesc="Tool for managing remote repositories from your git CLI!"
+arch=('any')
+url="https://github.com/guyzmo/git-repo"
+license=('GPL2')
+depends=('python' 'python-docopt' 'python-progress' 'python-dateutil' 'python-lxml' 'python-gitpython' 'python-github3' 'python-gitlab>=0.18' 'python-gogs-client' 'python-pybitbucket_fork-git')
+makedepends=('python-setuptools' 'python-pip')
+source=("${pkgname}::git+${url}")
+sha256sums=(SKIP)
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ python setup.py install --root="${pkgdir}" --optimize=1
+}
+